"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class LoggingService {
    constructor(iamService, loggingRepository) {
        this._iamService = iamService;
        this._loggingRepository = loggingRepository;
    }
    get iamService() {
        return this._iamService;
    }
    get loggingRepository() {
        return this._loggingRepository;
    }
    async getLogsForCorrelation(identity, correlationId) {
        return this.loggingRepository.getLogsForCorrelation(correlationId);
    }
    async getLogsForProcessModel(identity, correlationId, processModelId) {
        return this.loggingRepository.getLogsForProcessModel(correlationId, processModelId);
    }
    async writeLogForProcessModel(correlationId, processModelId, logLevel, message, timestamp) {
        await this.loggingRepository.writeLogForProcessModel(correlationId, processModelId, logLevel, message, timestamp);
    }
    async writeLogForFlowNode(correlationId, processModelId, flowNodeInstanceId, logLevel, message, timestamp) {
        await this.loggingRepository.writeLogForFlowNode(correlationId, processModelId, flowNodeInstanceId, logLevel, message, timestamp);
    }
}
exports.LoggingService = LoggingService;

//# sourceMappingURL=logging_service.js.map
